/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.readahead.interfaces;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Remote interface for session to test read-ahead finders.
 * 
 * @version $Id: CMPFindTestSessionRemote.java,v 1.1.30.1 2005/04/06 21:25:08 starksm Exp $
 * 
 * Revision:
 */
public interface CMPFindTestSessionRemote extends EJBObject {
   public void testFinder() throws RemoteException;
   public void testUpdates() throws RemoteException;
   public void testByCity() throws RemoteException;
   public void addressByCity() throws RemoteException;
   public void createTestData() throws RemoteException;
   public void removeTestData() throws RemoteException;
}